import { w as withInstall } from "../badge/index2.js";
import { defineComponent, useSlots, unref, openBlock, createElementBlock, createElementVNode, toDisplayString, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ":root{--field-border-color: var(--global-neutral-color-3);--field-border-radius: var(--global-border-radius)}.layui-field{margin-bottom:10px;padding:0;border-width:1px;border-color:var(--field-border-color);border-style:solid}.layui-field legend{margin-left:20px;padding:0 10px;font-size:20px;font-weight:300}.layui-field-title{margin:10px 0 20px;border-width:1px 0 0}.layui-field-box{padding:15px}.layui-field-title .layui-field-box{padding:10px 0}\n")();
const _hoisted_1 = {
  key: 0,
  class: "layui-field"
};
const _hoisted_2 = { class: "layui-field-box" };
const _hoisted_3 = {
  key: 1,
  class: "layui-field layui-field-title"
};
const _hoisted_4 = { name: "docend" };
const __default__ = {
  name: "LayField"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    title: null
  },
  setup(__props) {
    const slot = useSlots();
    return (_ctx, _cache) => {
      return unref(slot).default ? (openBlock(), createElementBlock("fieldset", _hoisted_1, [
        createElementVNode("legend", null, toDisplayString(__props.title), 1),
        createElementVNode("div", _hoisted_2, [
          renderSlot(_ctx.$slots, "default")
        ])
      ])) : (openBlock(), createElementBlock("fieldset", _hoisted_3, [
        createElementVNode("legend", null, [
          createElementVNode("a", _hoisted_4, toDisplayString(__props.title), 1)
        ])
      ]));
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
